# Poco::Net::Impl

# class LocalSocketAddressImpl

Library: Net
Package: NetCore
Header: Poco/Net/SocketAddressImpl.h

## Inheritance

Direct Base Classes: SocketAddressImpl

All Base Classes: SocketAddressImpl, Poco::RefCountedObject

## Member Summary

Member Functions: addr, af, family, host, length, path, port, toString

Inherited Functions: addr, af, duplicate, family, host, length, port, referenceCount, release, toString

## Constructors

### LocalSocketAddressImpl

LocalSocketAddressImpl(
const struct sockaddr_un * addr
);

### LocalSocketAddressImpl

LocalSocketAddressImpl(
const char * path
);

### LocalSocketAddressImpl

LocalSocketAddressImpl(
const char * path,
std::size_t length
);

## Destructor

### ~LocalSocketAddressImpl

~LocalSocketAddressImpl();

## Member Functions

### addr

const struct sockaddr * addr() const;

See also: Poco::Net::Impl::SocketAddressImpl::addr()

### af

int af() const;

See also: Poco::Net::Impl::SocketAddressImpl::af()

### family

Family family() const;

See also: Poco::Net::Impl::SocketAddressImpl::family()

### host

IPAddress host() const;

See also: Poco::Net::Impl::SocketAddressImpl::host()

### length

socklen_t length() const;

See also: Poco::Net::Impl::SocketAddressImpl::length()

### path

const char * path() const;

### port

UInt16 port() const;

See also: Poco::Net::Impl::SocketAddressImpl::port()

### toString

std::string toString() const;

See also: Poco::Net::Impl::SocketAddressImpl::toString()